Crashpad

Public Attributes | List of all members
XSTATE_FEATURE Struct Reference

The location of a single state component within an XSAVE area. More...

`#include "winnt.h"`

## Public Attributes
uint32_t | Offset
| The location of a state component within a CPU-specific context structure. More...
uint32_t | Size
| The size of a state component with a CPU-specific context structure. More...

## Detailed Description

The location of a single state component within an XSAVE area.

## Member Data Documentation

## ◆ Offset

uint32_t XSTATE_FEATURE::Offset

The location of a state component within a CPU-specific context structure.

This is equivalent to the difference (`ptrdiff_t`) between the return value of `LocateXStateFeature()` and its Context argument.

## ◆ Size

uint32_t XSTATE_FEATURE::Size

The size of a state component with a CPU-specific context structure.

This is equivalent to the size returned by `LocateXStateFeature()` in Length.

The documentation for this struct was generated from the following file:

- compat/non_win/winnt.h